function [ ID, States, Nations, status ] = getids(place)
%
%   This function retrieves a rawinsonde station ID file (IDs) and finds
%   the 5-digit station identifier that goes with it. If there is more than
%   one, then the output, ID, contains a vector if the identifiers.
%
load IDs %#ok<LOAD>
ids=Stations{1}; %#ok<IDISVAR,USENS>
names=Stations{2};
sts=Stations{3};
nts=Stations{4};
ns=max(size(place));
nstations=max(size(ids)); 
n=0;
ID=zeros(1,nstations);
for i=1:nstations
    nn=char(names(i));
    ni=min(max(size(nn)),ns);
    if strcmpi(char(place),nn(1:ni))
        if n == 0 || (n > 0 && ids(i) ~= ID(n))
          n=n+1;
          ID(n)=ids(i);
          States(n)=sts(i);
          Nations(n)=nts(i);
        end  
    end
end
if n == 0
    status=0;
    ID(1)=0;
    States(1)=' ';
    Nations(1)=' ';
    return
else
    status=1;
end
ID(n+1:end)=[];
%
end
            